Package org.postgresql.replication.fluent

# Interface ChainedCommonStreamBuilder<T extends ChainedCommonStreamBuilder<T>>

All Known Subinterfaces:
  `ChainedLogicalStreamBuilder`, `ChainedPhysicalStreamBuilder`

All Known Implementing Classes:
  `AbstractStreamBuilder`, `LogicalStreamBuilder`, `PhysicalStreamBuilder`

public interface ChainedCommonStreamBuilder<T extends ChainedCommonStreamBuilder<T>>
Fluent interface for specify common parameters for Logical and Physical replication.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `withAutomaticFlush(boolean automaticFlush)`
  Specify if backend should flush data after receive notification from client.
  `T`
  `withSlotName(String slotName)`
  Replication slots provide an automated way to ensure that the master does not remove WAL segments until they have been received by all standbys, and that the master does not remove rows which could cause a recovery conflict even when the standby is disconnected.
  `T`
  `withStartPosition(LogSequenceNumber lsn)`
  Specify start position from which backend will start stream changes.
  `T`
  `withStatusInterval(int time, TimeUnit format)`
  Specifies the number of time between status packets sent back to the server.

- ## Method Details

  - ### withSlotName

    T withSlotName(String slotName)
    Replication slots provide an automated way to ensure that the master does not remove WAL segments until they have been received by all standbys, and that the master does not remove rows which could cause a recovery conflict even when the standby is disconnected.
    Parameters:
      `slotName` - not null replication slot already exists on server.
    Returns:
      this instance as a fluent interface

  - ### withStatusInterval

    T withStatusInterval(int time, TimeUnit format)
    Specifies the number of time between status packets sent back to the server. This allows for easier monitoring of the progress from server. A value of zero disables the periodic status updates completely, although an update will still be sent when requested by the server, to avoid timeout disconnect. The default value is 10 seconds.
    Parameters:
      `time` - positive time
      `format` - format for specified time
    Returns:
      not null fluent

  - ### withStartPosition

    T withStartPosition(LogSequenceNumber lsn)
    Specify start position from which backend will start stream changes. If parameter will not specify, streaming starts from restart_lsn. For more details see pg_replication_slots description.
    Parameters:
      `lsn` - not null position from which need start replicate changes
    Returns:
      not null fluent

  - ### withAutomaticFlush

    T withAutomaticFlush(boolean automaticFlush)
    Specify if backend should flush data after receive notification from client.
    Parameters:
      `automaticFlush` - true if advance FlushLSN to ServerLSN data after receive notification
    Returns:
      not null fluent